/* General Styling */

/* Fonts */
@import url('https://fonts.googleapis.com/css2?family=Raleway&family=Roboto:ital,wght@0,300;1,300&display=swap');


* {
    margin: 0;
    padding: 0;
}

/* Smooth Scroll */
html {
    scroll-behavior: smooth;
}

body {
  font-family: 'Roboto', sans-serif;
  font-size: 16px;
  font-weight: 400;
  color: #302e22;
  background: #f1f0e8;
  cursor: default;
  
  
}

main {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 1rem; 
    
}

h1 {
    font-family: 'Raleway', sans-serif;
    font-weight: 700;
    font-size: 35px;
    padding: 2rem;
    color:#302e22;
    text-align: center;
    
}

h2 {
    font-family: 'Raleway', sans-serif;
    font-weight: 700;
    font-size: 22px;
    line-height: 1;
    margin-top: 1rem;
}

p {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.65;
    margin-top: 15px;
}

.container {
    background-color: #f1f0e8;
}



/* Nav Styling */

#navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #f8f9fa;
    padding: 15px 20px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

/* Navbar Logo */
.logo a {
    font-size: 1.5rem;
    text-decoration: none;
    color: #302e22;
    font-weight: 700;
    font-family: 'Raleway', sans-serif;
}

/* Navbar Links */
.nav-links {
    list-style: none;
    display: flex;
    gap: 15px;
    margin: 0;
    padding: 0;
}

.nav-links li {
    display: inline;
}

.nav-links a {
    text-decoration: none;
    color: #302e22;
    font-size: 1rem;
    padding: 10px 15px;
    transition: background 0.3s ease;
}

.nav-links a:hover {
    background: #ddd;
    border-radius: 5px;
}

/* Hamburger Menu Button */
.navbar-toggler {
    display: none;
    background: none;
    border: none;
    font-size: 1.5rem;
    cursor: pointer;
}

/* form */

.filters {
    display: flex;
    justify-content:space-evenly;
    align-items: center;
    gap: 25px;
    background: #f1f0e8;
}

.options {
    display: flex;
    gap: 10px;
    align-items: center;
}

.filter-form {
    display: flex;
    justify-content:center;
    align-items: center;
    padding: 2rem;
    background: #f1f0e8;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.filter-field {
    padding: 10px;
    border: #302e22;
    border-radius: 5px;
    width: 100%;
    margin-right: 10px;
}

/* park cards */

.parks-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr); 
    gap: 40px; 
    padding: 2rem;
    background: #f1f0e8;
    /* box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); */
}

.park-card {
    gap: 1rem;
    padding: 1.5rem;
    border-radius: 10px;
    background: #ffffff;
    color:#302e22;
    border-color: #302e22;
    border-width: 1px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.card-image {
    width: 100%;
    height: 300px;
    object-fit:fill;
    border-radius: 8px;
}

/* button styling */
.btn {
    display: inline-block;
    padding: 10px 20px;
    background: #302e22;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background 0.3s ease;
}

.btn:hover {
    background: #4d4b3c;
}

/* footer */
.copyright {
    text-align: center;
    padding: 1rem;
    background: #f1f0e8;
    color: #302e22;
    font-size: 0.8rem;
}


/* media queries */

@media screen and (max-width: 768px) {
   
    .parks-container {
        grid-template-columns: repeat(2, 1fr);
    }

    /* nav */

    .navbar-toggler {
        display: block;
    }

    .nav-menu {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 60px;
        right: 0;
        background: white;
        border: 1px solid #ddd;
        width: 100%;
        text-align: center;
        padding: 10px 0;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    }

    .nav-menu.active {
        display: flex;
    }

    .nav-links {
        flex-direction: column;
        gap: 10px;
    }

    .nav-links a {
        display: block;
        padding: 10px;
    }

    /* filters */

    .filters {
        display: flex;
        justify-content:space-evenly;
        align-items: center;
        gap: 10px;
        background: #f1f0e8;
    }

    .options {
        display: flex;
        gap: 8px;
        align-items: center;
    }

    

}

@media screen and (max-width: 480px) {
    .parks-container {
        grid-template-columns: repeat(1, 1fr);
    }

    
    .filters {
        display: flex;
        flex-direction: column;
        gap: 20px;
        background: #f1f0e8;
    }

    .options {
        display: flex;
        gap: 10px;
        align-self: flex-start;
    }

    .filter-form {
        display: flex;
        flex-direction: column;
        padding: 1rem;
        background: #f1f0e8;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    }

    .filter-field {
        padding: 10px;
        border: #302e22;
        border-radius: 5px;
        width: 100%;
        margin-right: 10px;
    }
    
}